local M = {}

local function onInit()
	electrics.values.clockS = 0
	electrics.values.clockM = 0
	electrics.values.clockH = 0
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
	local dateTime = os.date("*t", os.time())
	
	local psec = dateTime.sec/ 60
	local pmin = (dateTime.min + psec) / 60
	local ph = ((dateTime.hour % 12) + (pmin)) / 12

	--prop factor should be 360 for these
	electrics.values.clockS = psec
	electrics.values.clockM = pmin 
	electrics.values.clockH =  ph 
end

-- public interface
M.onInit      = onInit
M.onReset     = onReset
M.updateGFX = updateGFX

return M